i have Macbook Pro 4.1 2006,what version of OS i have buy to install an this computer

I erase my hard drive and i try to install another OS X new version 2007 and 2009 and i receiving message "computer doesn't support this OS X " ,so i wanna buy new one but i m not sure what i have to buy ,can i use this Mac OS X 10.6 Snow Leopard an that computer???

Mac OS X 10.6 Snow Leopard

Back To Product

Follow this Question

1 Answer from the Community

  • Answer

    All MacBook Pros had Intel processors.

    Therefore, Snow Leopard (OS 10.6) can be installed (if you have 1GB of memory and a working optical drive).

    The Model ID, "MacBookPro4,1", came out in two versions in early 2008 and late 2008.
    However, even the earliest MacBook Pro (which came out in early 2006) has an Intel processor.

    Was this useful? Answer 1

    1 of 1 people found this useful

Related Questions